module Prevoty
  class FilterStatistics
    attr_reader :bytes,
                  :invalid_attributes, :invalid_protocols, :invalid_tags,
                  :blacklisted_phrases, :flagged_phrases,
                  :javascript_attributes, :javascript_protocols, :javascript_tags,
                  :prevoty_profanity_features, :prevoty_spam_features,
                  :tags_balanced, :transformations
    def initialize(data)
      @bytes = data["bytes"]
      @invalid_attributes = data["invalid_attributes"]
      @invalid_protocols = data["invalid_protocols"]
      @invalid_tags = data["invalid_tags"]
      @blacklisted_phrases = data["blacklisted_phrases"]
      @flagged_phrases = data["flagged_phrases"]
      @javascript_attributes = data["javascript_attributes"]
      @javascript_protocols = data["javascript_protocols"]
      @javascript_tags = data["javascript_tags"]
      @prevoty_profanity_features = data["prevoty_profanity_features"]
      @prevoty_spam_features = data["prevoty_spam_features"]
      @tags_balanced = data["tags_balanced"]
      @transformations = data["transformations"]
    end

    def is_significant?
      return @transformations > 0
    end
  end
end
